! By Rex L. Baum, 1 April 2004
! 19Aug2009 RLB added bkgrof
! revised by H.X. Chen, 2014
module input_vars
	logical:: ans,outp(8),rodoc,lskip,lany,llus,lps0,unsat0,bkgrof,depositsave,pfsave,risksave,warninglevelsave,tracesave
	logical,allocatable:: unsat(:) 
 	integer:: imax,row,col,nwf,tx,nmax
	integer:: flag,nper,aif
  	integer:: nzsb,nzst,mmax
	integer:: nzon,nout,nsection
	integer,allocatable:: ksav(:)
	double precision :: uww,zmin,t,dep,czmax,crizero,slomin
	double precision,allocatable:: cb(:),sdcb(:),ct(:),sdct(:),phib(:),sdphib(:),phit(:),sdphit(:),phibb(:),sdphibb(:),phibt(:),sdphibt(:),uwsb(:),uwst(:)
	double precision,allocatable:: difb(:),dift(:),ksb(:),kst(:),thsatb(:),thsatt(:),thresib(:),thresit(:),thinib(:),thinit(:),porob(:),porot(:),psib(:),psit(:),alphat(:),alphab(:)
	double precision:: rlb,rub,rtb,fl,fu,dx,cltstar,clbstar,qa
	double precision,allocatable:: capt(:),cri(:),tsav(:)
	character (len=5):: flowdir
	
	!parameters for debris flow simulation
	double precision:: alpha1,beta1,alpha2,beta2,kresis,cmanning,limitfr,shallown
	double precision,allocatable::manning(:),kero(:)
	double precision:: d50,cvstar,coedepo,cs
	double precision:: dtmin, dtmax,dti,dtd,simul,tout,toldh,toldhp,wavemax
	logical:: rainsimul,infilsimul,inflowsimul,outflowsimul,fssimul,debrissimul,erosionsimul,sepdepositionsimul
    logical:: fsminsave,flowdepthsave,maxflowdepthsave,fvsave,maxfvsave,fulldyna,erodepthsave,debdepodepthsave,cvsave,totaldepthsave,outflowsave,hydrosave
	
	
	
end module input_vars
